GrailsConsoleAntBuilder (Grails 6.0.0)

Package: org.grails.build.logging

## [Java] Class GrailsConsoleAntBuilder

- org.grails.build.logging.GrailsConsoleAntBuilder

-     public class GrailsConsoleAntBuilder
      extends groovy.util.AntBuilder

  Silences ant builder output.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private static class` | `GrailsConsoleAntBuilder.GrailsConsoleLogger` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConsoleAntBuilder (org.apache.tools.ant.Project project)`
    `GrailsConsoleAntBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addGrailsConsoleBuildListener(org.apache.tools.ant.Project project)`
    `` | `protected static org.apache.tools.ant.Project` | `createAntProject()` Returns: Factory method to create new Project instances

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.util.AntBuilder` | `groovy.util.AntBuilder#getProject(), groovy.util.AntBuilder#getAntXmlContext(), groovy.util.AntBuilder#isSaveStreams(), groovy.util.AntBuilder#setSaveStreams(boolean), groovy.util.AntBuilder#getAntProject(), groovy.util.AntBuilder#invokeMethod(java.lang.String), groovy.util.AntBuilder#invokeMethod(java.lang.String, java.lang.Object), groovy.util.AntBuilder#getMetaClass(), groovy.util.AntBuilder#setMetaClass(groovy.lang.MetaClass), groovy.util.AntBuilder#wait(long), groovy.util.AntBuilder#wait(long, int), groovy.util.AntBuilder#wait(), groovy.util.AntBuilder#equals(java.lang.Object), groovy.util.AntBuilder#toString(), groovy.util.AntBuilder#hashCode(), groovy.util.AntBuilder#getClass(), groovy.util.AntBuilder#notify(), groovy.util.AntBuilder#notifyAll(), groovy.util.AntBuilder#getProperty(java.lang.String), groovy.util.AntBuilder#setProperty(java.lang.String, java.lang.Object)`

- - ### Constructor Detail

    - #### public GrailsConsoleAntBuilder(org.apache.tools.ant.Project project)

    - #### public GrailsConsoleAntBuilder()

  - ### Method Detail

    - #### public static void addGrailsConsoleBuildListener(org.apache.tools.ant.Project project)

    - #### @java.lang.SuppressWarnings("unchecked") protected static org.apache.tools.ant.Project createAntProject()

      Returns:
        Factory method to create new Project instances